#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, k, a;
    int i, j, l, m, p,broj=0, brojnegativnih=0, rezervnibroj, br=0, uporednacifra, pm, trebadasezameni=0;
    scanf("%d%d", &n, &k);
    int A[2*n+1];
    for(i=0;i<n;i++)
    {
        scanf("%d", &a);
        if(a >= 0)
        {
            broj += a;
            broj *= 10;
        }
        else
        {
            brojnegativnih += (-1)*a;
            brojnegativnih *= 10;
        }
    }
    broj = broj / 10;
    brojnegativnih = brojnegativnih / 10;
    for(j=0;j<=n;j++)
    {
        rezervnibroj = broj;
        for(l=0;l<=n && rezervnibroj>0;l++)
        {
            uporednacifra = rezervnibroj % 10;
            if(j == uporednacifra)
            {
                br++;
            }
            rezervnibroj = rezervnibroj / 10;
        }
        if(br>=k)
        {
            A[trebadasezameni] = j;
            trebadasezameni++;
        }
        br=0;
    }
    for(m=0;m<=n;m++)
    {
        rezervnibroj = brojnegativnih;
        for(p=0;p<=n && rezervnibroj>0;p++)
        {
            uporednacifra = rezervnibroj % 10;
            if(m == uporednacifra)
            {
                br++;
            }
            rezervnibroj = rezervnibroj / 10;
        }
        if(br>=k)
        {
            pm = (-1) * m;
            A[trebadasezameni] = pm;
            trebadasezameni++;
        }
        br=0;
    }
    printf("%d\n", trebadasezameni);
    for(i = 0;i<trebadasezameni; i++)
    {
        printf("%d ", A[i]);
    }
}